Class | TMail::ReferencesHeader
In: | lib/tmail/header.rb
Parent: | StructuredHeader

### Methods

each_id each_phrase ids phrases refs

### Public Instance methods

each_id() {|i if MESSAGE_ID === i| ...}

[Source]

    # File lib/tmail/header.rb, line 435
        def each_id
          self.refs.each do |i|
            yield i if MESSAGE_ID === i
          end
        end

each_phrase() {|i unless MESSAGE_ID === i| ...}

[Source]

    # File lib/tmail/header.rb, line 446
        def each_phrase
          self.refs.each do |i|
            yield i unless MESSAGE_ID === i
          end
        end

ids()

[Source]

    # File lib/tmail/header.rb, line 441
        def ids
          ensure_parsed
          @ids
        end

phrases()

[Source]

    # File lib/tmail/header.rb, line 452
        def phrases
          ret = []
          each_phrase {|i| ret.push i }
          ret
        end

refs()

[Source]

    # File lib/tmail/header.rb, line 430
        def refs
          ensure_parsed
          @refs
        end

[Validate]